package com.yame.uml.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.fasterxml.jackson.annotation.JsonProperty;


@JsonFormat(shape = Shape.OBJECT)
public enum ResultType {
    Success("Success", 1, true), 
    Source2PNG("Source2PNG", 101, true),
    Source2SVG("Source2SVG", 102, true),

    MegreUML2SVG("megreUML2SVG", 202, true),
    
    Error("Error", 0, false),
    ErrorSource2PNG("Error Source2PNG", -101, false),
    ErrorSource2SVG("Error Source2SVG", -102, false),

    ErrorMegreUML2SVG("Error MegreUML2SVG", -202, false),
    ;

    @JsonProperty("desc")
    private String desc;
    @JsonProperty("code")
    private int code;
    @JsonProperty("success")
    private boolean success;

    private ResultType(String desc, int code, Boolean isSuccessed) {
        this.desc = desc;
        this.code = code;
        this.success = isSuccessed;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }
}